(function ($) {
    "use strict";

    // navbar-click
    function handle_menu_collapse(element) {
        if (jQuery(element).hasClass("show")) {
            jQuery(element).removeClass("show");
            jQuery(element).children("ul").slideUp(500);
        }
    }

    $(".menu-item-has-children a").on("click", function () {
        let element = $(this).parent("li");
        let all_children =  element.find('.menu-item-has-children')

        all_children.map(function (key, menu_item) {
            handle_menu_collapse(menu_item)
        })

        if (element.hasClass("show")) {
            element.removeClass("show");
            element.children("ul").slideUp(500);
        } else {
            element.siblings("li").removeClass('show');
            element.addClass("show");
            element.siblings("li").find("ul").slideUp(500);
            element.children('ul').slideDown(500);
        }
    });
    $(".menu-item-has-children > a").on("click", function (e) {
        e.preventDefault();
    });
    $('.main-menu-sidebar-nav .sub-menu').hide();

    

    /*-----------------------------------------------
       Search Popup
    -----------------------------------------------*/
    var bodyOvrelay = $('.body-overlay');
    var searchPopup = $('#search-popup');
    var sidebarMenu = $('#sidebar-menu');

    bodyOvrelay.on('click', function (e) {
        e.preventDefault();
        bodyOvrelay.removeClass('active');
        searchPopup.removeClass('active');
    });
    $(document).on('click', '#search', function (e) {
        e.preventDefault();
        searchPopup.addClass('active');
        bodyOvrelay.addClass('active');
    });
    // sidebar menu 
    $(document).on('click', '.sidebar-menu-close', function (e) {
        e.preventDefault();
        bodyOvrelay.removeClass('active');
        sidebarMenu.removeClass('active');
    });
    $(document).on('click', '.body-overlay', function (e) {
        e.preventDefault();
        bodyOvrelay.removeClass('active');
        sidebarMenu.removeClass('active');
    });
    $(document).on('click', '#navigation-button', function (e) {
        e.preventDefault();
        sidebarMenu.addClass('active');
        bodyOvrelay.addClass('active');
    });

    /**-----------------------------
     *  countdown
     * ---------------------------*/
    if ($("#mycountdown2").length > 0) {
        var value = $('#mycountdown2').data('countdown');
        $("#mycountdown2").countdown(value, function (event) {
            
             $('.weeks').html(
                event.strftime('%w')
            );

            $('.days').html(
                event.strftime('%d')
            );
            $('.hours').html(
                event.strftime('%H')
            );
            $('.mins').html(
                event.strftime('%M')
            );
            $('.secs').html(
                event.strftime('%S')
            );
        });

    }

    /*--------------------------------------
        pricing Active
    ---------------------------------------*/
    $(document).on('mouseover', '.service-card-item', function () {
        $(this).addClass('active-intro');
        $('.service-card-item').removeClass('active-intro');
        $(this).addClass('active-intro');
    });

    /* -----------------------------
        Aos JQUERY PLUGIN
    -----------------------------
    */
    new WOW().init();
    /* 



    /* -----------------------------
    nice select jquery plugin
    ----------------------------- */
    $('.video-overlay, .video-overlay-close').on('click', function (e) {
        e.preventDefault();
        close_video();
    });

    $(document).keyup(function (e) {
        if (e.keyCode === 27) { close_video(); }
    });

    function close_video() {
        $('.video-overlay.open').removeClass('open').find('iframe').remove();
    };



    //magnifi popup
    $('.portfolio').magnificPopup({ type: 'image' });
    $('.video-open').magnificPopup({ type: 'iframe' });

    // Sticky Header Js

    $(window).on('scroll', function () {

        var scroll = $(window).scrollTop();

        if (scroll < 245) {

            $("#header-sticky").removeClass("sticky-bar");

        } else {

            $("#header-sticky").addClass("sticky-bar");

        }

    });

    // init Isotope
    var $grid = $('.grid').isotope({
        // options
    });
	
    // filter items on button click
    $('.filter-button-group').on('click', 'button', function () {
        var filterValue = $(this).attr('data-filter');
        $grid.isotope({ filter: filterValue });
    });
    $(window).on('load', function () {
        /*-----------------------------
            preloader
        -----------------------------*/
        var preLoder = $("#preloader");
        preLoder.fadeOut(1000);
        /*-----------------------------
            back to top
        -----------------------------*/
        var backtoTop = $('.back-to-top')
        backtoTop.fadeOut(100);
    });

    if (screen.width > 991) {
        //accordion 2
        var $xAccordTriggers = jQuery(".x-schedule-trigger");
        var $xAccordPanels = jQuery(".x-accordion-panel");
        var $xAccordDayGroups = jQuery(".x-day-group");

        // Animate schedule items in staggered
        function staggerDayGroups(items) {
            var $dayGroups = items;
            var tl = new TimelineLite();
            tl.staggerTo($dayGroups, 0.6, {
                opacity: 1,
                x: 0,
                delay: 0.3
            }, 0.15, 0)
        };

        // Hide all day groups without transition
        function hideDayGroups() {
            console.log("Hiding all day groups");
            var tl = new TimelineLite();
            tl.to($xAccordDayGroups, 0, {
                opacity: 0,
                x: -50
            });
        };

        // Setup
        function setUpAccordion() {
            var $accordion = jQuery(".x-accordion");

            if ($accordion.length > 0) {

                // Bind the expansion to the trigger links
                $xAccordTriggers.on("click", function () {
                    var $parent = jQuery(this).parent(".x-accordion-panel");
                    var $dayGroups = $parent.find(".x-day-group");

                    $xAccordPanels.removeClass("is-active");
                    $parent.addClass("is-active");
                    hideDayGroups();
                    staggerDayGroups($dayGroups);
                    return false;
                });

                // Hide all groups initially
                hideDayGroups();

                // Show the initial active panel
                var $initialGroups = jQuery(".is-active .x-day-group");
                staggerDayGroups($initialGroups);

            }
        };

        setUpAccordion();
    }




    
    

})(jQuery);